Opened 3 years ago

Closed 3 years ago

#524 closed defect (fixed)

Petascope to throw exception on duplicate WCS subsets

Reported by: pcampalani Owned by: pcampalani
Priority: major Milestone: 9.0
Component: petascope Version: development
Keywords: duplicate subsets Cc:
Complexity: Easy

Description (last modified by pcampalani)

WCS 2.0 requirement n.29: A GetCoverage request shall contain at most one subsetting operation for each of the dimensions of the coverage addressed.

Currently Petascope does not recognize duplicated subsettings in a WCS GetCoverage. This compormises OGC WCS compliance.

Change History (3)

comment:1 Changed 3 years ago by pcampalani

  • Status changed from new to accepted

Patch is coming.

comment:2 Changed 3 years ago by pcampalani

  • Description modified (diff)

comment:3 Changed 3 years ago by pcampalani

  • Resolution set to fixed
  • Status changed from accepted to closed

Patch applied: changeset:329789.

Note: See TracTickets for help on using tickets.